/*****************************************************************************/
/*                        WiNRADiO G39DDC EXCELSIOR                          */
/*                                SDK DEMO                                   */
/*             Receiver selection and "No receiver found" dialogs            */
/*                        (C) Copyright RADIXON 2014                         */
/*****************************************************************************/

#ifndef __U_RECEIVERSELECTOR_H__
#define __U_RECEIVERSELECTOR_H__

#include <wx/wx.h>
#include "u_receiver.h"

//TReceiverSelector window appears when more than one receivers are detected
//the user can select one of them
class TReceiverSelector:public wxDialog
{
public:
    static TReceiver* SelectReceiver(void);

    inline int GetSelectedReceiverIndex(void) const
    {
        return m_SelectedReceiverIndex;
    }

    TReceiverSelector(IG39DDCDeviceEnumerator *Enumerator);
    ~TReceiverSelector(void);
private:
    wxRadioBox      *m_RadioBox;
    wxButton        *m_BOK;
    wxButton        *m_BCancel;
    int             m_SelectedReceiverIndex;

    void OnOk(wxCommandEvent &Event);

    DECLARE_EVENT_TABLE()
};

//TNoReceiverFoundWindow window appears when no receiver is detected
class TNoReceiverFoundWindow:public wxDialog
{
public:
    TNoReceiverFoundWindow(void);
    ~TNoReceiverFoundWindow(void);
private:
    wxButton    *m_BTryAgain;
    wxButton    *m_BDemo;
    wxButton    *m_BCancel;

    void OnTryAgain(wxCommandEvent &Event);
    void OnDemo(wxCommandEvent &Event);

    DECLARE_EVENT_TABLE()
};

#endif
